<?php
include "ver_sessao.php";
include "conecta.php";



function exclui_produto(){

	remover('itemoferta',$_POST[id_item]);

	unset($_POST[id_item]);

	layout_produtos();
	exit;
}



function exclui_oferta(){

	remover('oferta',$_POST[id]);
	index();
	exit;
}




function modifica_produto(){	
	global $a_item;
	$a_item = carregar('itemoferta,produto',$_POST[id_item]);
	
	layout_produtos();
}


function modifica_oferta(){	
	global $a_mod;
	$a_mod = carregar('oferta',$_POST[id]);
	
	layout_oferta();
}




function finaliza_oferta(){

	$campos = array(ofer_tx_status);
	$valores= array('ativo');
	atualizar('oferta',$campos,$valores,$_POST[id]);

	set_status('Oferta finalizada com sucesso!');

	index();
	exit;
}





function adiciona_produto(){

	if ( $_POST[id_item]>0 )
		$extra_prod = " AND item_nb_id != '$_POST[id_item]' ";

	$sql_prod = selecionar('itemoferta','item_tx_status,item_nb_oferta,item_nb_produto',"!inativo,$_POST[id],$_POST[produto]"," $extra_prod LIMIT 1 ");
	
	if ( num_linhas($sql_prod)>0 ) {
		set_status('ATENÇÃO: O produto selecionado já foi adicionado à oferta!');
		layout_produtos();
		exit;
	}


	$campos = array(item_nb_oferta,item_nb_produto,item_tx_valor);
	$valores= array($_POST[id],$_POST[produto],valor($_POST[valor],1));

	if ( $_POST[id_item]>0 ) {
		atualizar('itemoferta',$campos,$valores,$_POST[id_item]);
	} else {

		array_push($campos, item_nb_userCadastro,item_tx_dataCadastro,item_tx_status);
		array_push($valores, $_SESSION[user_nb_id],date('Y-m-d H:i:s'),'ativo');

		inserir('itemoferta',$campos,$valores,1);
	}


	layout_produtos();
	exit;
}




function cadastra_oferta(){
	
	$campos = array(ofer_tx_nome,ofer_tx_dataInicio,ofer_tx_dataFim);
	$valores= array($_POST[nome],gera_data($_POST[data_inicio],1),gera_data($_POST[data_fim],1));
	
	if( !$_POST[id] ){
		array_push($campos, ofer_nb_userCadastro,ofer_tx_dataCadastro,ofer_tx_status);
		array_push($valores, $_SESSION[user_nb_id],date('Y-m-d H:i:s'),'pendente');

		inserir('oferta',$campos,$valores,1);
		$_POST[id] = ultimo_reg('oferta');
	}else{
		atualizar('oferta',$campos,$valores,$_POST[id]);
	}
		
	layout_produtos();
	exit;	
}





function layout_produtos(){
	global $CONFIGURA, $a_item;

	if ( intval($_POST[id])==0 ) {
		set_status('ERRO: Falha ao carregar os dados da oferta!');
		index();
		exit;
	}

	
	cabecalho('Cadastro de Ofertas',2);



	$a_ofer = carregar('oferta',$_POST[id]);

	
	//CAMPOS
	$data1     = cactux::texto('Data Início:',data($a_ofer[ofer_tx_dataInicio],1),2);
	$data2     = cactux::texto('Data Fim:',data($a_ofer[ofer_tx_dataFim],1),2);
	$descricao = cactux::texto('Descrição:',$a_ofer[ofer_tx_nome],6);

	$produto = cactux::combo_net('!Material:','produto',$a_item[prod_nb_id],$a_item[prod_tx_nome],6,array($CONFIGURA[MODULO].'combonet/busca_produto.php?c=produto',$CONFIGURA[MODULO].'combonet/busca_produto_net.php?c=produto'));	
	$valor   = cactux::campo('Valor:','valor',mostra_valor($a_item[item_tx_valor],1),2,MASCARA_VALOR);


	//BOTOES
	$gravar = cactux::botao_submit('Gravar',2,'adiciona_produto','id,id_item',"$_POST[id],$_POST[id_item]");
	$finalizar = cactux::botao('Finalizar',2,'finalizar');
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Informações da Oferta');
	cactux::linha_fieldset($data1,$data2,$descricao);
	cactux::linha_fieldset($produto,$valor);
	cactux::linha_fieldset($voltar,$gravar,$finalizar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();	
	cactux::acao_botao('voltar','modifica_oferta','id',$_POST[id]);
	cactux::acao_botao('finalizar','finaliza_oferta','id',$_POST[id]);


	$sql_prod = selecionar('itemoferta,produto','item_tx_status,item_nb_oferta',"!inativo,$_POST[id]"," ORDER BY item_nb_id DESC ");
	$qtde_itens = num_linhas($sql_prod);


	$cabecalho[] = array('COD','PRODUTO','VALOR VENDA','VALOR OFERTA','','','');
	$cabecalho[] = 'c,e,c';
	$cabecalho[] = '6%,,15%,15%,2%,2%,2%';
	
	while( $a = carrega_array($sql_prod) ){
		
		$icone_modificar = ".icone_modificar($_POST[id],modifica_produto,'id_item','$a[item_nb_id]')";
		$icone_excluir   = ".icone_excluir($_POST[id],exclui_produto,'id_item','$a[item_nb_id]')";
		$icone_etiqueta = "<a href=javascript:imprimir_etiqueta($a[item_nb_id])><img src='$CONFIGURA[PATH]cactus/imagens/icone_etiqueta.png' border=0></a>";

		$valores[] = array($a[prod_tx_codigo],$a[prod_tx_nome],mostra_valor($a[prod_tx_valorVenda],1),mostra_valor($a[item_tx_valor],1),$icone_etiqueta,$icone_modificar,$icone_excluir);
	}
	
	echo "<iframe style=display:none id=frame_etiqueta></iframe>";
	
	if ( $qtde_itens>0 ) {
		echo "<br>";
		grid::gerar($cabecalho,$valores);
	}

	javascript("
		function imprimir_etiqueta(id){
			document.getElementById('frame_etiqueta').src='fpdf17/$CONFIGURA[MODELO_OFERTA]?".cactux_cookie::url_sistema()."&id='+id;
		}
	");


	rodape();	
}





function layout_oferta(){
	
	global $a_mod;
	
	cabecalho('Cadastro de Ofertas',2);
	
	//CAMPOS
	$data1 = cactux::campo('Data Início:','data_inicio',data($a_mod[ofer_tx_dataInicio],1),2,MASCARA_DATA);
	$data2 = cactux::campo('Data Fim:','data_fim',data($a_mod[ofer_tx_dataFim],1),2,MASCARA_DATA);
	$descricao = cactux::campo('Descrição:','nome',$a_mod[ofer_tx_nome],6);
	
	//BOTOES
	$gravar = cactux::botao_submit('Avançar',2,'cadastra_oferta','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Informações da Oferta');
	cactux::linha_fieldset($data1,$data2,$descricao);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	rodape();	
}




function layout_imprimir(){
	
	cabecaRelatorio('CADASTRO DE OFERTAS',2);


	if($_POST[busca_cod]!='')
		$extra .= " AND ofer_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_inicio]!='')
		$extra .= " AND ofer_tx_dataInicio >= '".gera_data($_POST[busca_inicio],1)."' ";
	if($_POST[busca_fim]!='')
		$extra .= " AND ofer_tx_dataInicio <= '".gera_data($_POST[busca_fim],1)."' ";
	if($_POST[busca_oferta]!='')
		$extra .= " AND ofer_tx_nome LIKE '%$_POST[busca_oferta]%'";

	
	$sql = selecionar('oferta','ofer_tx_status',"!inativo"," $extra ORDER BY ofer_tx_nome");
	
	cactux::abre_form('');
	
	$c[]=cactux::texto('Código:',$_POST['busca_cod'].'&nbsp;',1);
	$c[] = cactux::texto('Data Início:',$_POST[busca_inicio],2);
	$c[] = cactux::texto('Data Fim:',$_POST[busca_fim],2);
	$c[]=cactux::texto('Descrição:',$_POST['busca_oferta'],5);
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	echo"<br>";
	
	$cabecalho[] = array('COD','DATA INÍCIO','DATA FINAL','DESCRIÇÃO');
	$cabecalho[] = 'c,c,c,e,e';
	$cabecalho[] = '6%,10%,10%,';
	
	while( $a = carrega_array($sql) ){
		
		$valores[] = array($a[ofer_nb_id],data($a[ofer_tx_dataInicio],1),data($a[ofer_tx_dataFim],1),$a[ofer_tx_nome]);
		
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
}




function imprime_oferta(){
	
	cabecaRelatorio('OFERTA: '.$_POST[id],2);



	$a_ofer = carregar('oferta',$_POST[id]);

	
	//CAMPOS
	$data1     = cactux::texto('Data Início:',data($a_ofer[ofer_tx_dataInicio],1),2);
	$data2     = cactux::texto('Data Fim:',data($a_ofer[ofer_tx_dataFim],1),2);
	$descricao = cactux::texto('Descrição:',$a_ofer[ofer_tx_nome],6);


	cactux::abre_form();
	cactux::abre_fieldset('Informações da Oferta');
	cactux::linha_fieldset($data1,$data2,$descricao);
	cactux::fecha_fieldset();
	cactux::fecha_form();


	$sql_prod = selecionar('itemoferta,produto','item_tx_status,item_nb_oferta',"!inativo,$_POST[id]"," ORDER BY item_nb_id DESC ");
	$qtde_itens = num_linhas($sql_prod);


	$cabecalho[] = array('COD','PRODUTO','VALOR VENDA','VALOR OFERTA');
	$cabecalho[] = 'c,e,c';
	$cabecalho[] = '6%,,15%,15%';
	
	while( $a = carrega_array($sql_prod) ){

		$valores[] = array($a[prod_tx_codigo],$a[prod_tx_nome],mostra_valor($a[prod_tx_valorVenda],1),mostra_valor($a[item_tx_valor],1));
	}


	if ( $qtde_itens>0 ) {
		echo "<br>";
		grid::gerar($cabecalho,$valores);
	}

	rodape();
}





function index(){
	global $CONFIGURA;

	if($_POST[busca_cod]!='')
		$extra .= " AND ofer_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_inicio]!='')
		$extra .= " AND ofer_tx_dataInicio >= '".gera_data($_POST[busca_inicio],1)."' ";
	if($_POST[busca_fim]!='')
		$extra .= " AND ofer_tx_dataInicio <= '".gera_data($_POST[busca_fim],1)."' ";
	if($_POST[busca_oferta]!='')
		$extra .= " AND ofer_tx_nome LIKE '%$_POST[busca_oferta]%'";

	
	$sql = selecionar('oferta','ofer_tx_status',"!inativo"," $extra ORDER BY ofer_nb_id DESC",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de Ofertas',2);
	
	//CAMPOS
	$cod   = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	$data1 = cactux::campo('Data Início:','busca_inicio',$_POST[busca_inicio],2,MASCARA_DATA);
	$data2 = cactux::campo('Data Fim:','busca_fim',$_POST[busca_fim],2,MASCARA_DATA);
	$nome  = cactux::campo('Nome:','busca_oferta',$_POST[busca_oferta],4);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$data1,$data2,$nome);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_oferta');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','DATA INÍCIO','DATA FINAL','DESCRIÇÃO','SITUAÇÃO','','','','');
	$cabecalho[] = 'c,c,c,e,c';
	$cabecalho[] = '6%,10%,10%,,10%,2%,2%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		
		$icone_imprimir = ".icone_modificar($a[ofer_nb_id],'imprime_oferta','','','',' target=_blank','Impressão Oferta','cactus/imagens/imprimir.png')";
		$icone_modificar= ".icone_modificar($a[0],modifica_oferta)";
		$icone_excluir  = ".icone_excluir($a[0],exclui_oferta)";
		$icone_etiqueta = "<a href=javascript:imprimir_etiqueta($a[ofer_nb_id])><img src='$CONFIGURA[PATH]cactus/imagens/icone_etiqueta.png' border=0></a>";

		$time_hoje  = strtotime(date('Y-m-d'));
		$time_inicio= strtotime($a[ofer_tx_dataInicio]);
		$time_fim   = strtotime($a[ofer_tx_dataFim]);

		// echo "|$time_hoje|=>|$time_fim|<hr>";

		if ( strtolower($a[ofer_tx_status])!='pendente' ) {
			if ( $time_fim<$time_hoje )
				$a[ofer_tx_status]='finalizado';
			else if ( $time_hoje<$time_inicio )
				$a[ofer_tx_status]='aguardando';
		}

		$valores[] = array($a[ofer_nb_id],data($a[ofer_tx_dataInicio],1),data($a[ofer_tx_dataFim],1),$a[ofer_tx_nome],ucfirst($a[ofer_tx_status]),$icone_imprimir,$icone_etiqueta,$icone_modificar,$icone_excluir);
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);

	echo "<iframe style=display:none id=frame_etiqueta></iframe>";

	javascript("
		function imprimir_etiqueta(id){
			document.getElementById('frame_etiqueta').src='fpdf17/$CONFIGURA[MODELO_OFERTA]?".cactux_cookie::url_sistema()."&id_oferta='+id;
		}
	");

	rodape();
	
}

controle();
?>